i2p.susi.dns

## Class AddressBean

- java.lang.Object
- - i2p.susi.dns.AddressBean

-     public class AddressBean
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static boolean` | `haveIDN` available as of Java 6

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressBean(String name, String destination)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAdded()`
    `String` | `getB32()`
    `String` | `getCert()` Do this the easy way
    `String` | `getDestination()`
    `String` | `getDisplayName()` The Unicode name, translated from Punycode
    `String` | `getModded()`
    `String` | `getName()` The ASCII (Punycode) name
    `String` | `getNotes()`
    `String` | `getSource()`
    `boolean` | `isIDN()` Is the ASCII name Punycode-encoded?
    `void` | `setProperties(Properties p)`
    `(package private) static String` | `toASCII(String host)` Ref: java.net.IDN and RFC 3940
    `static String` | `toUnicode(String host)` The Unicode name, translated from Punycode

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### haveIDN

          static final boolean haveIDN

      available as of Java 6

  - ### Constructor Detail

    - #### AddressBean

          public AddressBean(String name,
                     String destination)

  - ### Method Detail

    - #### getDestination

          public String getDestination()

    - #### getName

          public String getName()

      The ASCII (Punycode) name

    - #### getDisplayName

          public String getDisplayName()

      The Unicode name, translated from Punycode
      Returns:
        the original string on error
      Since:
        0.8.7

    - #### toUnicode

          public static String toUnicode(String host)

      The Unicode name, translated from Punycode
      Returns:
        the original string on error
      Since:
        0.8.7

    - #### isIDN

          public boolean isIDN()

      Is the ASCII name Punycode-encoded?
      Since:
        0.8.7

    - #### toASCII

          static String toASCII(String host)
                         throws IllegalArgumentException

      Ref: java.net.IDN and RFC 3940
      Parameters:
        `host` - will be converted to lower case
      Returns:
        name converted to lower case and punycoded if necessary
      Throws:
        `IAE` - on various errors or if IDN is needed but not available
        `IllegalArgumentException`
      Since:
        0.8.7

    - #### getB32

          public String getB32()

      Since:
        0.8.7

    - #### setProperties

          public void setProperties(Properties p)

      Since:
        0.8.7

    - #### getSource

          public String getSource()

      Since:
        0.8.7

    - #### getAdded

          public String getAdded()

      Since:
        0.8.7

    - #### getModded

          public String getModded()

      Since:
        0.8.7

    - #### getNotes

          public String getNotes()

      Since:
        0.8.7

    - #### getCert

          public String getCert()

      Do this the easy way
      Since:
        0.8.7